AppsDatabaseEventListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.application
Interface AppsDatabaseEventListener

All Superinterfaces:
  EventListener

    public interface AppsDatabaseEventListener

extends EventListener

The `AppsDatabaseListener` class allows an application to monitor the application database so that it can keep an up to date interface without polling the state. The application shall receive these events in a timely fashion after the AIT changes, however it is system dependant how often the AIT table is checked.

Since:
  MHP1.0

Method Summary
`void` | `entryAdded(AppsDatabaseEvent evt)` The AppsDataBase has had an application entry added.
`void` | `entryChanged(AppsDatabaseEvent evt)` The AppsDataBase has had an application entry changed.
`void` | `entryRemoved(AppsDatabaseEvent evt)` The AppsDataBase has had an application entry removed.
`void` | `newDatabase(AppsDatabaseEvent evt)` The AppsDataBase has radically changed.

Method Detail

### newDatabase

    void newDatabase(AppsDatabaseEvent evt)

  The AppsDataBase has radically changed.

  Parameters:
    `evt` - the AppsDatabaseEvent.
  Since:
    MHP1.0

### entryAdded

    void entryAdded(AppsDatabaseEvent evt)

  The AppsDataBase has had an application entry added.

  Parameters:
    `evt` - the AppsDatabaseEvent.
  Since:
    MHP1.0

### entryRemoved

    void entryRemoved(AppsDatabaseEvent evt)

  The AppsDataBase has had an application entry removed.

  Parameters:
    `evt` - the AppsDatabaseEvent.
  Since:
    MHP1.0

### entryChanged

    void entryChanged(AppsDatabaseEvent evt)

  The AppsDataBase has had an application entry changed.

  Parameters:
    `evt` - the AppsDatabaseEvent.
  Since:
    MHP1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD